Name:          libid3tag
Version:       0.15.1b
Release:       5mamba
Summary:       A library for reading, writing, and manipulating ID3v1 and ID3v2 tags
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.underbit.com/products/mad/
Source:        http://downloads.sourceforge.net/sourceforge/mad/libid3tag-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A software development library for reading, writing, and manipulating ID3v1 and ID3v2 tags.
This is an alternative library to libid3 (it is not the same!)

%package devel
Summary:       Header files and static library for development with libid3tag
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A software development library for reading, writing, and manipulating ID3v1 and ID3v2 tags.
This is the devel package.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -d %{buildroot}%{_libdir}/pkgconfig

echo "\
prefix=%{_prefix}
exec_prefix=\${prefix}
libdir=\${exec_prefix}/lib
includedir=\${prefix}/include

Name: id3tag
Description: ID3 tag reading library
Requires:
Version: 0.15.1b
Libs: -L\${libdir} -lid3tag -lz
Cflags: -L\${includedir}" > %{buildroot}%{_libdir}/pkgconfig/id3tag.pc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc CHANGES COPYING COPYRIGHT CREDITS README TODO

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/id3tag.pc
%{_includedir}/*.h

%changelog
* Sun Aug 18 2013 Automatic Build System <autodist@mambasoft.it> 0.15.1b-5mamba
- automatic rebuild by autodist

* Wed Apr 30 2008 Aleph0 <aleph0@openmamba.org> 0.15.1b-4mamba
- specfile updated

* Tue Jun 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.15.1b-3qilnx
- added 'id3tag.pc'

* Thu Jun 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.15.1b-2qilnx
- added missing %%post, %%postun scripts
- specfile updated/fixed

* Fri Sep 10 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.1b-1qilnx
- first build
